Plugins Database As of 12-11-2019

openSUSE Update for go1.12 openSUSE-SU-2019:2521-1 (go1.12)

SuSE Local Security Checks
Impact by CVSS Score
  • ID: 1.3.6.1.4.1.25623.1.0.852776

CVSS Base Vector:
AV:N/AC:L/Au:N/C:P/I:N/A:N

Summary:
The remote host is missing an update for the 'go1.12' Linux Distribution Package(s) announced via the openSUSE-SU-2019:2521_1 advisory.

Detection Method:
Checks if a vulnerable Linux Distribution Package version is present on the target host.

Technical Details:
This update for go1.12 fixes the following issues: Security issues fixed: - CVE-2019-16276: Fixed the handling of invalid HTTP headers, which had allowed request smuggling (bsc#1152082). - CVE-2019-17596: Fixed a panic in dsa.Verify caused by invalid public keys (bsc#1154402). Non-security issue fixed: - Go was updated to version 1.12.12 (bsc#1141689). This update was imported from the SUSE:SLE-15:Update update project. Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or 'zypper patch'. Alternatively you can run the command listed for your product: - openSUSE Leap 15.0: zypper in -t patch openSUSE-2019-2521=1

Affected Versions:
'go1.12' Linux Distribution Package(s) on openSUSE Leap 15.0.

Recommendations:
Please install the updated Linux Distribution Package(s).

Solution Type:
Vendor Patch

Detection Type:
Linux Distribution Package

Search
Severity
Medium
CVSS Score
5.0
Published
2019-11-18 03:00:45
Modified
2019-11-18 11:25:17
CVE
CVE-2019-16276
CVE-2019-17596

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities. It is free and always will be.